package com.sy.coinage.core.vo;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.sy.coinage.sys.vo.UserMenusVO;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * -登录响应类
 *
 * @author: lug 2022年5月12日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TokenVO {

    @ApiModelProperty(value = "用户id")
    private Integer id;

    /**
     * 真实姓名
     */
    @ApiModelProperty(value = "真实姓名")
    private String realName;
    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;
    /**
     * 登录令牌
     */
    @ApiModelProperty(value = "登录令牌")
    private String token;

    @ApiModelProperty(value = "部门名称")
    private String dept;

    /**
     * 租户名
     */
    @ApiModelProperty(value = "租户名")
    private String tenantName;

    /**
     * 租户名
     */
    @ApiModelProperty(value = "租户id")
    private Integer tenantId;

    /**
     * 菜单树
     */
    @ApiModelProperty(value = "菜单树")
    List<UserMenusVO> menus;

}
