package com.sy.coinage.sys.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.sys.model.*;
import com.sy.coinage.sys.vo.MenuListVO;
import com.sy.coinage.sys.vo.UserMenusVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * -菜单Dao
 */
public interface MenuDao extends BaseMapper<Menu> {

    List<UserMenusVO> queryUserMenusList(@Param(Constants.WRAPPER) QueryWrapper<RoleMenu> queryWrapper);

    List<MenuListVO> queryList(@Param(Constants.WRAPPER) LambdaQueryWrapper<Menu> queryWrapper);

    List<OptVO> queryOptList(@Param(Constants.WRAPPER) LambdaQueryWrapper<Menu> queryWrapper);

    ;

}
