package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

@Data
public class TenantIdReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户Id", required = true)
    @NotNull(message = "租户Id不能为空")
    @Range(min = 1)
    private Integer tenantId;

}
