package com.sy.coinage.workshop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sy.coinage.workshop.model.*;
import com.sy.coinage.workshop.req.*;
import com.sy.coinage.workshop.req.vo.SerialNumberVO;
import com.sy.coinage.workshop.vo.*;

/**
 * -I记录每笔出入库流水表(车间出入库记录)Service
 */
public interface IWorkshopLogService extends IService<WorkshopLog> {

    /**
     * @param securitiesId
     * @param securities
     * @param rfid
     * @param serialNumber
     * @param deptId
     * @param dept
     * @param operatorId
     * @param operator
     * @param checkId
     * @param checker
     */

    void addWorkshopLog(BaseInfo info, String crownBetweenStr, Integer securitiesId,
                        String securities, String rfid, String serialNumber, Integer deptId, String dept,
                        Integer operatorId, String operator,
                        Integer checkId, String checker, Integer locFrom, Integer locTo, Integer operType,
                        Integer boxNum, Integer piecesTotal);

}
