package com.sy.coinage.core.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * -在Controller的方法参数中使用此注解，需要非登录验证的方法上使用此注解
 */
@Target({ElementType.METHOD}) // 可用在方法名上
@Retention(RetentionPolicy.RUNTIME) // 运行时有效
public @interface LoginNotRequired {

}
