package com.sy.coinage.file.req;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import com.sy.coinage.core.interceptor.Update;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

/**
 * ProjectSoftware实体类
 */
@Data
public class MyFileReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "id不能为空", groups = {Update.class})
    @Range(min = 1, groups = {Update.class})
    private Integer id;
    /**
     * 软件名称
     */
    private String name;
    /**
     * 路径
     */
    private String url;
    /**
     * 排序
     */
    private Integer sorted;

    /**
     * -备注
     */
    private String remark;

    /**
     * -备注
     */
    private String tag;
}


