package com.sy.coinage.sys.vo;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * Region实体类
 */
@Data
public class RegionVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键编号
     */
    @ApiModelProperty(value = "主键编号")
    private Integer code;

    /**
     * 地区等级 1省 2市 3区
     */
    @ApiModelProperty(value = "地区等级 1省 2市 3区")
    private Integer levels;

    /**
     * 状态 1可用 2禁用
     */
    @ApiModelProperty(value = "自增主键")
    private Integer status;

    /**
     * 上级编号
     */
    @ApiModelProperty(value = "自增主键")
    private Integer pcode;

    /**
     * 地区名称
     */
    @ApiModelProperty(value = "地区名称")
    private String name;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Integer longitude;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Integer latitude;

}
