package com.sy.coinage.sys.vo;

import com.sy.coinage.core.util.TreeUtil.TreeNode;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;

import lombok.Data;

@Data
public class UserMenusVO extends TreeNode<Integer> implements Serializable {

    /**
     * id
     */
    @ApiModelProperty(value = "自增主键")
    private Integer id;
    /**
     * pid
     */
    @ApiModelProperty(value = "父id")
    private Integer pid;
    /**
     * name
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * component
     */
    @ApiModelProperty(value = "路由")
    private String component;
    /**
     * redirect
     */
    @ApiModelProperty(value = "跳转")
    private String redirect;
    /**
     * path
     */
    @ApiModelProperty(value = "路径")
    private String path;

    @ApiModelProperty(value = "MetaVO")
    private MetaVO meta;

    /**
     * 按钮权限
     */
    @ApiModelProperty(value = "按钮权限")
    private List<Object> auths;

    @Override
    public Integer getNodeId() {
        return id;
    }

    @Override
    public Integer getNodeParentId() {
        return pid;
    }

    @Override
    public CharSequence getNodeName() {
        return name;
    }

}
